Name: H5Tequal
Signature:
  htri_t `H5Tequal`(hid_t `type_id1`, hid_t `type_id2` )
Purpose:
  Determines whether two datatype identifiers refer to the same datatype.
Description:
  `H5Tequal` determines whether two datatype identifiers refer to the same datatype.
Parameters:

hid_t `type_id1` | Identifier of datatype to compare.
hid_t `type_id2` | Identifier of datatype to compare.

Returns:
  When successful, returns a positive value, for `TRUE`, if the datatype identifiers refer to the same datatype, or `0` (zero), for `FALSE`. Otherwise returns a negative value.
Fortran90 Interface: h5tequal_f

      SUBROUTINE h5tequal_f(type1_id, type2_id, flag, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: type1_id ! Datatype identifier
        INTEGER(HID_T), INTENT(IN) :: type2_id ! Datatype identifier
        LOGICAL, INTENT(OUT) :: flag           ! TRUE/FALSE flag to indicate
                                               ! if two datatypes are equal
        INTEGER, INTENT(OUT) :: hdferr         ! Error code
      END SUBROUTINE h5tequal_f